OpenNMS API 1.2.9

## org.opennms.web.category
Class RTCPostSubscriber

    java.lang.Object
      org.opennms.web.category.RTCPostSubscriber

public class RTCPostSubscriber
extends java.lang.Object

Author:
  Larry Karnowski , OpenNMS

Field Summary
`protected java.lang.String` `m_password`
`protected EventProxy` `m_proxy`
`protected java.lang.String` `m_url`
`protected java.lang.String` `m_username`
`protected static org.apache.log4j.Category` `s_log`

Constructor Summary
`RTCPostSubscriber()`

Method Summary
`void` `close()`
`private EventProxy` `createEventProxy()`
`protected void` `initFromRtcPropertyFile(java.lang.String categoryName)`
`static void` `sendSubscribeEvent(EventProxy proxy, java.lang.String url, java.lang.String username, java.lang.String password, java.lang.String categoryName)`
`static void` `sendUnsubscribeEvent(EventProxy proxy, java.lang.String url)`
`java.lang.String` `subscribe(java.lang.String categoryName)`
`static void` `subscribeAll(java.lang.String viewName)`
`void` `unsubscribe()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_proxy

    protected EventProxy m_proxy

### m_url

    protected java.lang.String m_url

### m_username

    protected java.lang.String m_username

### m_password

    protected java.lang.String m_password

### s_log

    protected static org.apache.log4j.Category s_log

Constructor Detail

### RTCPostSubscriber

    public RTCPostSubscriber()
                      throws java.io.IOException,
                             org.exolab.castor.xml.MarshalException,
                             org.exolab.castor.xml.ValidationException

Method Detail

### createEventProxy

    private EventProxy createEventProxy()

### sendSubscribeEvent

    public static void sendSubscribeEvent(EventProxy proxy,
                                          java.lang.String url,
                                          java.lang.String username,
                                          java.lang.String password,
                                          java.lang.String categoryName)
                                   throws java.lang.IllegalArgumentException,
                                          EventProxyException

  Throws:
    `java.lang.IllegalArgumentException`
    `EventProxyException`

### sendUnsubscribeEvent

    public static void sendUnsubscribeEvent(EventProxy proxy,
                                            java.lang.String url)
                                     throws java.lang.IllegalArgumentException,
                                            EventProxyException

  Throws:
    `java.lang.IllegalArgumentException`
    `EventProxyException`

### subscribe

    public java.lang.String subscribe(java.lang.String categoryName)
                               throws java.lang.IllegalArgumentException,
                                      EventProxyException

  Throws:
    `java.lang.IllegalArgumentException`
    `EventProxyException`

### unsubscribe

    public void unsubscribe()
                     throws java.lang.IllegalArgumentException,
                            EventProxyException

  Throws:
    `java.lang.IllegalArgumentException`
    `EventProxyException`

### close

    public void close()

### initFromRtcPropertyFile

    protected void initFromRtcPropertyFile(java.lang.String categoryName)

### subscribeAll

    public static void subscribeAll(java.lang.String viewName)
                             throws java.io.IOException,
                                    org.exolab.castor.xml.MarshalException,
                                    org.exolab.castor.xml.ValidationException,
                                    EventProxyException

  Throws:
    `java.io.IOException`
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`
    `EventProxyException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.